Index: branches/SHM-5.1-dev/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- branches/SHM-5.1-dev/source/Lib/TLibCommon/TComPrediction.cpp	(revision 634)
+++ branches/SHM-5.1-dev/source/Lib/TLibCommon/TComPrediction.cpp	(revision 635)
@@ -768,10 +768,10 @@
 #if O0215_PHASE_ALIGNMENT
 #if O0194_JOINT_US_BITSHIFT
-Void TComPrediction::upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, bool phaseAlignFlag )
+Void TComPrediction::upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, Bool phaseAlignFlag )
 {
   m_cUsf.upsampleBasePic( currSlice, refLayerIdc, pcUsPic, pcBasePic, pcTempPic, window, phaseAlignFlag );
 }
 #else
-Void TComPrediction::upsampleBasePic( UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, bool phaseAlignFlag )
+Void TComPrediction::upsampleBasePic( UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, Bool phaseAlignFlag )
 {
   m_cUsf.upsampleBasePic( refLayerIdc, pcUsPic, pcBasePic, pcTempPic, window, phaseAlignFlag );
Index: branches/SHM-5.1-dev/source/Lib/TLibCommon/TComPrediction.h
===================================================================
--- branches/SHM-5.1-dev/source/Lib/TLibCommon/TComPrediction.h	(revision 634)
+++ branches/SHM-5.1-dev/source/Lib/TLibCommon/TComPrediction.h	(revision 635)
@@ -49,5 +49,4 @@
 
 #if SVC_UPSAMPLING
-#include "TComDataCU.h"
 #include "TComUpsampleFilter.h"
 #endif
@@ -122,7 +121,7 @@
 #if O0215_PHASE_ALIGNMENT
 #if O0194_JOINT_US_BITSHIFT
-  Void upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, bool phaseAlignFlag );
+  Void upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, Bool phaseAlignFlag );
 #else
-  Void upsampleBasePic( UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, bool phaseAlignFlag );
+  Void upsampleBasePic( UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, Bool phaseAlignFlag );
 #endif
 #else
Index: branches/SHM-5.1-dev/source/Lib/TLibCommon/TComRom.h
===================================================================
--- branches/SHM-5.1-dev/source/Lib/TLibCommon/TComRom.h	(revision 634)
+++ branches/SHM-5.1-dev/source/Lib/TLibCommon/TComRom.h	(revision 635)
@@ -273,6 +273,6 @@
 #if SVC_EXTENSION
 #if FAST_INTRA_SHVC
-extern       UInt  g_reducedSetIntraModes[NUM_INTRA_MODE-1];
-extern       UInt  g_predefSetIntraModes[NUM_INTRA_MODE-1];
+extern UInt g_reducedSetIntraModes[NUM_INTRA_MODE-1];
+extern UInt g_predefSetIntraModes[NUM_INTRA_MODE-1];
 #endif
 extern Int g_mvScalingFactor  [MAX_LAYERS][2];
Index: branches/SHM-5.1-dev/source/Lib/TLibCommon/TComUpsampleFilter.h
===================================================================
--- branches/SHM-5.1-dev/source/Lib/TLibCommon/TComUpsampleFilter.h	(revision 634)
+++ branches/SHM-5.1-dev/source/Lib/TLibCommon/TComUpsampleFilter.h	(revision 635)
@@ -45,7 +45,7 @@
 #if O0215_PHASE_ALIGNMENT
 #if O0194_JOINT_US_BITSHIFT
-  Void upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, bool phaseAlignFlag );
+  Void upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, Bool phaseAlignFlag );
 #else
-  Void upsampleBasePic( UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, bool phaseAlignFlag );
+  Void upsampleBasePic( UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, Bool phaseAlignFlag );
 #endif
 #else
Index: branches/SHM-5.1-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/SHM-5.1-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 634)
+++ branches/SHM-5.1-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 635)
@@ -2027,7 +2027,7 @@
       READ_UVLC( uiCode, "vps_num_bsp_hrd_parameters_minus1" ); vps->setVpsNumBspHrdParametersMinus1(uiCode);
       vps->createBspHrdParamBuffer(vps->getVpsNumBspHrdParametersMinus1() + 1);
-      for (UInt i = 0; i <= vps->getVpsNumBspHrdParametersMinus1(); i++)
-      {
-        if (i > 0)
+      for( i = 0; i <= vps->getVpsNumBspHrdParametersMinus1(); i++ )
+      {
+        if( i > 0 )
         {
           READ_FLAG( uiCode, "bsp_cprms_present_flag[i]" ); vps->setBspCprmsPresentFlag(i, uiCode);
@@ -2035,12 +2035,12 @@
         parseHrdParameters(vps->getBspHrd(i), i==0 ? 1 : vps->getBspCprmsPresentFlag(i), vps->getMaxTLayers()-1);
       }
-      for (UInt h = 1; h <= (vps->getNumLayerSets()-1); h++)
+      for( UInt h = 1; h <= (vps->getNumLayerSets()-1); h++ )
       {
         READ_UVLC( uiCode, "num_bitstream_partitions[i]"); vps->setNumBitstreamPartitions(h, uiCode);
-        for (UInt i = 0; i < vps->getNumBitstreamPartitions(h); i++)
-        {
-          for (UInt j = 0; j <= (vps->getMaxLayers()-1); j++)
+        for( i = 0; i < vps->getNumBitstreamPartitions(h); i++ )
+        {
+          for( j = 0; j <= (vps->getMaxLayers()-1); j++ )
           {
-            if (vps->getLayerIdIncludedFlag(h, j))
+            if( vps->getLayerIdIncludedFlag(h, j) )
             {
               READ_FLAG( uiCode, "layer_in_bsp_flag[h][i][j]" ); vps->setLayerInBspFlag(h, i, j, uiCode);
@@ -2051,7 +2051,7 @@
         {
           READ_UVLC( uiCode, "num_bsp_sched_combinations[h]"); vps->setNumBspSchedCombinations(h, uiCode);
-          for (UInt i = 0; i < vps->getNumBspSchedCombinations(h); i++)
+          for( i = 0; i < vps->getNumBspSchedCombinations(h); i++ )
           {
-            for (UInt j = 0; j < vps->getNumBitstreamPartitions(h); j++)
+            for( j = 0; j < vps->getNumBitstreamPartitions(h); j++ )
             {
               READ_UVLC( uiCode, "bsp_comb_hrd_idx[h][i][j]"); vps->setBspCombHrdIdx(h, i, j, uiCode);
Index: branches/SHM-5.1-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- branches/SHM-5.1-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 634)
+++ branches/SHM-5.1-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 635)
@@ -1524,7 +1524,7 @@
     {
       WRITE_UVLC( vps->getVpsNumBspHrdParametersMinus1(), "vps_num_bsp_hrd_parameters_minus1" );
-      for (UInt i = 0; i <= vps->getVpsNumBspHrdParametersMinus1(); i++)
-      {
-        if (i > 0)
+      for( i = 0; i <= vps->getVpsNumBspHrdParametersMinus1(); i++ )
+      {
+        if( i > 0 )
         {
           WRITE_FLAG( vps->getBspCprmsPresentFlag(i), "bsp_cprms_present_flag[i]" );
@@ -1532,10 +1532,10 @@
         codeHrdParameters(vps->getBspHrd(i), i==0 ? 1 : vps->getBspCprmsPresentFlag(i), vps->getMaxTLayers()-1);
       }
-      for (UInt h = 1; h <= (vps->getNumLayerSets()-1); h++)
+      for( UInt h = 1; h <= (vps->getNumLayerSets()-1); h++ )
       {
         WRITE_UVLC( vps->getNumBitstreamPartitions(h), "num_bitstream_partitions[i]");
-        for (UInt i = 0; i < vps->getNumBitstreamPartitions(h); i++)
-        {
-          for (UInt j = 0; j <= (vps->getMaxLayers()-1); j++)
+        for( i = 0; i < vps->getNumBitstreamPartitions(h); i++ )
+        {
+          for( j = 0; j <= (vps->getMaxLayers()-1); j++ )
           {
             if (vps->getLayerIdIncludedFlag(h, j))
@@ -1548,7 +1548,7 @@
         {
           WRITE_UVLC( vps->getNumBspSchedCombinations(h), "num_bsp_sched_combinations[h]");
-          for (UInt i = 0; i < vps->getNumBspSchedCombinations(h); i++)
+          for( i = 0; i < vps->getNumBspSchedCombinations(h); i++ )
           {
-            for (UInt j = 0; j < vps->getNumBitstreamPartitions(h); j++)
+            for( j = 0; j < vps->getNumBitstreamPartitions(h); j++ )
             {
               WRITE_UVLC( vps->getBspCombHrdIdx(h, i, j), "bsp_comb_hrd_idx[h][i][j]");
@@ -2240,6 +2240,4 @@
     if( slice->getPocMsbValPresentFlag() )
     {
-      Int iMaxPOClsb = 1<< slice->getSPS()->getBitsForPOC();
-
       UInt lengthVal = 1;
       UInt tempVal = slice->getPocMsbVal() + 1;
Index: branches/SHM-5.1-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/SHM-5.1-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 634)
+++ branches/SHM-5.1-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 635)
@@ -1753,5 +1753,5 @@
       if (pcSlice->getLayerId() == 0 && m_pcEncTop->getVPS()->getVpsVuiBspHrdPresentFlag())
       {
-        OutputNALUnit nalu(NAL_UNIT_PREFIX_SEI, 0, 1);
+        nalu = NALUnit(NAL_UNIT_PREFIX_SEI, 0, 1);
         m_pcEntropyCoder->setEntropyCoder(m_pcCavlcCoder, pcSlice);
         m_pcEntropyCoder->setBitstream(&nalu.m_Bitstream);
